package com.adzel.addyauthreborn.commands;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import com.adzel.addyauthreborn.AddyAuthReborn;
import com.adzel.addyauthreborn.utils.MessageUtil;

public class AddyAuthCommand implements CommandExecutor {

    private final AddyAuthReborn plugin;

    public AddyAuthCommand(AddyAuthReborn plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {

        if (!(sender instanceof Player player)) {
            sender.sendMessage("This command can only be run by a player.");
            return true;
        }

        if (!player.hasPermission("addyauth.admin")) {
            MessageUtil.send(player, "&cYou do not have permission to use this command.");
            return true;
        }

        if (args.length == 0) {
            MessageUtil.send(player, "&eUsage: /addyauth reload");
            return true;
        }

        if (args[0].equalsIgnoreCase("reload")) {
            plugin.reloadConfig();
            MessageUtil.send(player, "&aAddyAuth Reborn config reloaded.");
            return true;
        }

        MessageUtil.send(player, "&cUnknown subcommand.");
        return true;
    }
}
