package com.adzel.addyauthreborn.commands;

import com.adzel.addyauthreborn.AddyAuthReborn;
import com.adzel.addyauthreborn.utils.MessageUtil;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class LockCommand implements CommandExecutor {

    private final AddyAuthReborn plugin;

    public LockCommand(AddyAuthReborn plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        if (!(sender instanceof Player player)) {
            sender.sendMessage("Only players can use this command.");
            return true;
        }

        if (!player.hasPermission("addyauth.lock")) {
            MessageUtil.send(player, "&cYou do not have permission to lock yourself.");
            return true;
        }

        plugin.getAuthManager().lock(player.getUniqueId());
        MessageUtil.send(player, "&eYou are now locked. Use &f/login <password> &eto unlock.");
        return true;
    }
}
