package com.adzel.addyauthreborn.commands;

import com.adzel.addyauthreborn.AddyAuthReborn;
import com.adzel.addyauthreborn.utils.MessageUtil;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class LoginCommand implements CommandExecutor {

    private final AddyAuthReborn plugin;

    public LoginCommand(AddyAuthReborn plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        if (!(sender instanceof Player player)) {
            sender.sendMessage("Only players can use this command.");
            return true;
        }

        if (!player.hasPermission("addyauth.login")) {
            MessageUtil.send(player, "&cYou do not have permission to login.");
            return true;
        }

        if (args.length != 1) {
            MessageUtil.send(player, "&cUsage: /login <password>");
            return true;
        }

        if (!plugin.getAuthManager().isRegistered(player.getUniqueId())) {
            MessageUtil.send(player, "&eYou are not registered. Use &f/register <password>&e first.");
            return true;
        }

        String password = args[0];
        boolean valid = plugin.getAuthManager().verifyPassword(player.getUniqueId(), password);

        if (!valid) {
            MessageUtil.send(player, "&cIncorrect password.");
            return true;
        }

        MessageUtil.send(player, "&aYou are now logged in and unlocked.");
        return true;
    }
}
