package com.adzel.addyauthreborn.listeners;

import com.adzel.addyauthreborn.AddyAuthReborn;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;

public class AdminJoinListener implements Listener {

    private final AddyAuthReborn plugin;

    public AdminJoinListener(AddyAuthReborn plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onAdminJoin(PlayerJoinEvent event) {
        if (!plugin.isUpdateAvailable()) return;

        if (event.getPlayer().hasPermission("addyauth.admin")) {
            Bukkit.getScheduler().runTaskLater(plugin, () -> {
                event.getPlayer().sendMessage(ChatColor.YELLOW + "[AddyAuth Reborn] " +
                        ChatColor.RED + "A new version is available!");
                event.getPlayer().sendMessage(ChatColor.GRAY + "Check: " +
                        ChatColor.BLUE + "https://git.adzeldevelops.site/Adzel/AddyAuth-Reborn/releases/latest");
            }, 40L); // delay a bit so it doesn't clash with login spam
        }
    }
}
