package com.adzel.addyauthreborn.listeners;

import com.adzel.addyauthreborn.AddyAuthReborn;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerQuitEvent;

import java.util.UUID;

public class ConnectionListener implements Listener {

    private final AddyAuthReborn plugin;

    public ConnectionListener(AddyAuthReborn plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onJoin(PlayerJoinEvent event) {
        UUID uuid = event.getPlayer().getUniqueId();
        plugin.getOfflineLockManager().evaluateLogin(uuid);
        plugin.getAFKMonitor().updateActivity(uuid); // start tracking afk immediately
    }

    @EventHandler
    public void onQuit(PlayerQuitEvent event) {
        UUID uuid = event.getPlayer().getUniqueId();
        plugin.getOfflineLockManager().recordLogout(uuid);
        plugin.getAFKMonitor().removePlayer(uuid); // clean up
    }
}
